org.apache.jmeter.visualizers

## Class SearchTextExtension

- java.lang.Object
- - org.apache.jmeter.visualizers.SearchTextExtension

All Implemented Interfaces:
  ActionListener, EventListener, DocumentListener

    public class SearchTextExtension
    extends Object
    implements ActionListener, DocumentListener

### Nested Class Summary

Nested Classes
`static interface` `SearchTextExtension.ISearchTextExtensionProvider` Search provider definition Allow the search extension to search on any component
`static class` `SearchTextExtension.JEditorPaneSearchProvider` JEditorPane search provider Should probably be moved in its on file

### Constructor Summary

Constructors
Constructor and Description
`SearchTextExtension(SearchTextExtension.ISearchTextExtensionProvider searchProvider)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `actionPerformed(ActionEvent e)` Display the response as text or as rendered HTML.
`void` `changedUpdate(DocumentEvent e)`
`JToolBar` `getSearchToolBar()`
`void` `insertUpdate(DocumentEvent e)`
`void` `removeUpdate(DocumentEvent e)`
`void` `resetTextToFind()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SearchTextExtension

    public SearchTextExtension(SearchTextExtension.ISearchTextExtensionProvider searchProvider)

### Method Detail

#### getSearchToolBar

    public JToolBar getSearchToolBar()

Returns:
  `JToolBar` the search toolbar component

#### actionPerformed

    public void actionPerformed(ActionEvent e)

Display the response as text or as rendered HTML. Change the text on the button appropriate to the current display.

Specified by:
  `actionPerformed` in interface `ActionListener`
Parameters:
  `e` - the ActionEvent being processed

#### changedUpdate

    public void changedUpdate(DocumentEvent e)

Specified by:
  `changedUpdate` in interface `DocumentListener`

#### insertUpdate

    public void insertUpdate(DocumentEvent e)

Specified by:
  `insertUpdate` in interface `DocumentListener`

#### removeUpdate

    public void removeUpdate(DocumentEvent e)

Specified by:
  `removeUpdate` in interface `DocumentListener`

#### resetTextToFind

    public void resetTextToFind()